---
- name: Download the Proton VPN repository configuration and keys
  get_url:
    url: https://repo2.protonvpn.com/debian/dists/stable/main/binary-all/protonvpn-stable-release_1.0.3-3_all.deb
    dest: /tmp/protonvpn-stable-release_1.0.3-3_all.deb

- name: Install the Proton VPN repo
  command:
    cmd: dpkg -i /tmp/protonvpn-stable-release_1.0.3-3_all.deb

- name: Update apt
  apt:
    update_cache: yes

- name: Ensure old Proton VPN app or CLI is updated
  apt:
    update_cache: yes
    upgrade: yes

- name: Install Proton VPN app
  ansible.builtin.apt:
    name: proton-vpn-gnome-desktop
    state: present

- name: Ensure the latest version of the Proton VPN app is installed
  apt:
    update_cache: yes
    upgrade: yes
